openapi: 3.0.2
info:
    title: GreetingAPI
    version: 1.0.0
    description: A brand new API with no content.  Go nuts!
paths:
    /api/hello:
        get:
            responses:
                '200':
                    content:
                        application/json:
                            schema:
                                $ref: '#/components/schemas/greeting'
                            examples:
                                world:
                                    value:
                                        greeting: Hello world
                    description: hello
    '/api/hello/{name}':
        get:
            parameters:
                -
                    examples:
                        greeting name:
                            value: bob
                    name: name
                    schema:
                        type: string
                    in: path
                    required: true
            responses:
                '200':
                    content:
                        application/json:
                            schema:
                                $ref: '#/components/schemas/greeting'
                            examples:
                                greeting name:
                                    value:
                                        greeting: 'Hello {{name}}'
                    description: hello
components:
    schemas:
        greeting:
            title: Root Type for greeting
            description: ''
            type: object
            properties:
                greeting:
                    type: string
            example:
                greeting: hello
